MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
WStringAPI.hxx File Reference
`#include "Compiler.h"`
`#include <wchar.h>`
Include dependency graph for WStringAPI.hxx:

Go to the source code of this file.

## Functions
gcc_pure static gcc_nonnull_all size_t | StringLength (const wchar_t *p)
gcc_pure static gcc_nonnull_all const wchar_t * | StringFind (const wchar_t *haystack, const wchar_t *needle)
gcc_pure static gcc_nonnull_all const wchar_t * | StringFind (const wchar_t *haystack, wchar_t needle, size_t size)
gcc_pure static gcc_nonnull_all wchar_t * | StringFind (wchar_t *haystack, wchar_t needle, size_t size)
gcc_pure static gcc_nonnull_all const wchar_t * | StringFind (const wchar_t *haystack, wchar_t needle)
gcc_pure static gcc_nonnull_all wchar_t * | StringFind (wchar_t *haystack, wchar_t needle)
gcc_pure static gcc_nonnull_all const wchar_t * | StringFindLast (const wchar_t *haystack, wchar_t needle)
gcc_pure static gcc_nonnull_all wchar_t * | StringFindLast (wchar_t *haystack, wchar_t needle)
static gcc_nonnull_all void | UnsafeCopyString (wchar_t *dest, const wchar_t *src)
static gcc_nonnull_all wchar_t * | UnsafeCopyStringP (wchar_t *dest, const wchar_t *src)
gcc_pure static gcc_nonnull_all bool | StringIsEqual (const wchar_t *str1, const wchar_t *str2)
| Checks whether str1 and str2 are equal. More...
gcc_pure static gcc_nonnull_all bool | StringIsEqual (const wchar_t *a, const wchar_t *b, size_t length)
| Checks whether #a and #b are equal. More...
gcc_malloc static gcc_nonnull_all wchar_t * | DuplicateString (const wchar_t *p)

## Function Documentation

gcc_malloc static gcc_nonnull_all wchar_t* DuplicateString | ( | const wchar_t * | p | ) |
| inline static

Definition at line 141 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all const wchar_t* StringFind | ( | const wchar_t * | haystack,
|  | const wchar_t * | needle
| ) |  |
| inline static

Definition at line 46 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all const wchar_t* StringFind | ( | const wchar_t * | haystack,
|  | wchar_t | needle,
|  | size_t | size
| ) |  |
| inline static

Definition at line 53 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all wchar_t* StringFind | ( | wchar_t * | haystack,
|  | wchar_t | needle,
|  | size_t | size
| ) |  |
| inline static

Definition at line 60 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all const wchar_t* StringFind | ( | const wchar_t * | haystack,
|  | wchar_t | needle
| ) |  |
| inline static

Definition at line 67 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all wchar_t* StringFind | ( | wchar_t * | haystack,
|  | wchar_t | needle
| ) |  |
| inline static

Definition at line 74 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all const wchar_t* StringFindLast | ( | const wchar_t * | haystack,
|  | wchar_t | needle
| ) |  |
| inline static

Definition at line 81 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all wchar_t* StringFindLast | ( | wchar_t * | haystack,
|  | wchar_t | needle
| ) |  |
| inline static

Definition at line 88 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all bool StringIsEqual | ( | const wchar_t * | str1,
|  | const wchar_t * | str2
| ) |  |
| inline static

Checks whether str1 and str2 are equal.

Parameters

  str1 | String 1
  str2 | String 2

Returns
  True if equal, False otherwise

Definition at line 122 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all bool StringIsEqual | ( | const wchar_t * | a,
|  | const wchar_t * | b,
|  | size_t | length
| ) |  |
| inline static

Checks whether #a and #b are equal.

Definition at line 132 of file WStringAPI.hxx.

gcc_pure static gcc_nonnull_all size_t StringLength | ( | const wchar_t * | p | ) |
| inline static

Definition at line 39 of file WStringAPI.hxx.

static gcc_nonnull_all void UnsafeCopyString | ( | wchar_t * | dest,
|  | const wchar_t * | src
| ) |  |
| inline static

Definition at line 95 of file WStringAPI.hxx.

static gcc_nonnull_all wchar_t* UnsafeCopyStringP | ( | wchar_t * | dest,
|  | const wchar_t * | src
| ) |  |
| inline static

Definition at line 102 of file WStringAPI.hxx.